@import '~@angular/material/theming';
@import '../global.scss';
@import '../custom-variables';


@mixin mat-custom-datepicker-theme($theme) {

$accent: map-get($theme, accent);
$primary: map-get($theme, primary);
$warn: map-get($theme, warn);


 
 

  .mat-datepicker-toggle{
    color: $grey-5;
    background-color: $white;
    width: 1.875rem;
    .mat-datepicker-toggle-active{
        color: $grey-5;
    }
    .mat-icon-button{
      margin-right: 0rem;
      border-width: 0;
    }


  .mat-icon-button.cdk-focused,
  .mat-icon-button.cdk-program-focused {
    .mat-button-focus-overlay{
      display: none;
      opacity: 0;
    }
  }
 
 
 }

 .mat-form-field:not(.mat-form-field-appearance-legacy) .mat-form-field-prefix .mat-icon-button, .mat-form-field:not(.mat-form-field-appearance-legacy) .mat-form-field-suffix .mat-icon-button{
    width: 2rem;
    height: 2rem;
    padding: 0.188rem;

    &:focus:enabled{
        box-shadow: none;
    }
 }
 
}

@mixin mat-custom-datepicker-popup-theme($theme) {

$accent: map-get($theme, accent);
$primary: map-get($theme, primary);
$warn: map-get($theme, warn);

 
 .mat-datepicker-popup {
    margin-top: 0.5rem;
    margin-left: 0.125rem;

     .mat-calendar-body-label{
        opacity: 0;
    }

    .mat-datepicker-content{
      border-radius: 0.25rem;
      .mat-calendar{
          width: 18.5rem;
          height: auto;

     }
    }
    .mat-calendar-header{
      padding: 1.25rem 1rem;
      height: auto;

      .mat-calendar-controls{
        margin-top: 0;
        margin-bottom: 0;
      }

      .mat-calendar-previous-button::after, .mat-calendar-next-button::after {
          margin: 0.5rem;
          width: 0.5rem;
          height: 0.5rem;
      }

      .mat-calendar-next-button, 
      .mat-calendar-previous-button{
          width: 1.5rem;
          height: 1.5rem;
          margin-left: 0.5rem;
          margin-top: 0.25rem;
          color: $grey-7;
        }
        .mat-calendar-next-button{
          margin-right: 0.5rem;
        }
      .mat-calendar-previous-button{
          margin-left: 0.5rem;
        }

        .mat-button{
          line-height: 2rem;
          padding: 0 1rem;
          color: $grey-9;
        }
    }
    .mat-datepicker-content {
      .mat-calendar-previous-button {
        order: 1;
        &:hover{
          background-color: transparent;
        }
      }
      .mat-calendar-next-button {
        order: 3;
        &:hover{
          background-color: transparent;
        }
      }
      .mat-calendar-period-button{
        order: 2;
        width: 100%;
        padding-left: 1.625rem;
        &:hover{
          background-color: transparent;
        }
      }
    }
    .mat-calendar-content{
      padding: 0rem 0.25rem 0.5rem 0.25rem;
      .mat-calendar-body-cell-content{
        font-size: 0.75rem;
        color: $grey-9;
        font-weight: 500;
        width: auto;
        min-width: 2rem;
        height: 2rem;
        padding: 0 0.375rem;
        border-width: 0.125rem;
        border-style: solid;
        border-color: transparent;
     
        &:hover{
          border-color: mat-color($accent, 200);
          background-color: mat-color($accent, 200);
        }
      }   

        .mat-calendar-body-today:not(.mat-calendar-body-selected):not(.mat-calendar-body-comparison-identical){
          border-width: 0.125rem;
          border-color: mat-color($accent, 200);
        }

        .mat-calendar-body-selected{
        
            border-color: mat-color($primary, 900);
            background-color: mat-color($primary, 900);
            color: $white;

            &:hover{
              border-color: mat-color($primary, 900);
            }

        }

        .mat-calendar-table-header{
          tr{
            border-color: transparent;
            th{
              font-size: 0.75rem;
              font-weight: 700;
              text-transform: uppercase;
              color: $grey-7;
            }
          }
          
        }

        .mat-calendar-table-header-divider{
          display: none;
        }

      }
      
    /** Arrow Select **/
    .mat-calendar-arrow{
      width: 0.125rem;
      height: 0.125rem;
      border-style: solid;
      border-color: mat-color($accent, 500);
      border-width: 0 0.125rem 0.125rem 0;
      display: inline-block;
      padding: 0.1875rem;
      transform: rotate(45deg);
      margin-right: 0.5rem;
      margin-top: -0.5rem;

      &.mat-calendar-invert{
        transform: rotate(225deg);
        margin-top: 0rem;
      }
    }
  }
}